#ifndef LIBSARIA_IDLE_H
#define LIBSARIA_IDLE_H

class IdleTask
{
	public:
		IdleTask();
		virtual ~IdleTask() = 0;
		virtual void run_task() = 0;
};

int libsaria_idle_task();
int libsaria_queue_task(IdleTask *);
int libsaria_queue_task_front(IdleTask *);

#endif /* LIBSARIA_IDLE_H */
